# Class HelpConstants

java.lang.Object
picard.util.help.HelpConstants

public final class HelpConstants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DOC_CAT_BASE_CALLING`
Definition of the group names / descriptions for documentation/help purposes.
`static final String`
`DOC_CAT_BASE_CALLING_SUMMARY`
`static final String`
`DOC_CAT_DIAGNOSTICS_AND_QC`
`static final String`
`DOC_CAT_DIAGNOSTICS_AND_QC_SUMMARY`
`static final String`
`DOC_CAT_GENOTYPING_ARRAYS_MANIPULATION`
`static final String`
`DOC_CAT_GENOTYPING_ARRAYS_MANIPULATION_SUMMARY`
`static final String`
`DOC_CAT_INTERVALS_MANIPULATION`
`static final String`
`DOC_CAT_INTERVALS_MANIPULATION_SUMMARY`
`static final String`
`DOC_CAT_METRICS`
`static final String`
`DOC_CAT_METRICS_SUMMARY`
`static final String`
`DOC_CAT_OTHER`
`static final String`
`DOC_CAT_OTHER_SUMMARY`
`static final String`
`DOC_CAT_READ_DATA_MANIPULATION`
`static final String`
`DOC_CAT_READ_DATA_MANIPULATION_SUMMARY`
`static final String`
`DOC_CAT_REFERENCE`
`static final String`
`DOC_CAT_REFERENCE_SUMMARY`
`static final String`
`DOC_CAT_TEST`
`static final String`
`DOC_CAT_TEST_SUMMARY`
`static final String`
`DOC_CAT_VARIANT_EVALUATION`
`static final String`
`DOC_CAT_VARIANT_EVALUATION_SUMMARY`
`static final String`
`DOC_CAT_VARIANT_FILTERING`
`static final String`
`DOC_CAT_VARIANT_FILTERING_SUMMARY`
`static final String`
`DOC_CAT_VARIANT_MANIPULATION`
`static final String`
`DOC_CAT_VARIANT_MANIPULATION_SUMMARY`
`static final String`
`DOC_SUPERCAT_EXCLUDE`
`static final String`
`DOC_SUPERCAT_TOOLS`
List of "supercategory" values used for doc purposes.
`static final String`
`DOC_SUPERCAT_UTILITIES`

## Method Summary

Modifier and Type
Method
Description
`static Map<String,String>`
`getSuperCategoryMap()`
`static String`
`getSuperCategoryProperty(String groupName)`
Given a group name, return a supercategory string for use by the online doc system to determine which supercateogry the group is in.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DOC_CAT_BASE_CALLING

public static final String DOC_CAT_BASE_CALLING
Definition of the group names / descriptions for documentation/help purposes.

See Also:
  - Constant Field Values

### DOC_CAT_BASE_CALLING_SUMMARY

public static final String DOC_CAT_BASE_CALLING_SUMMARY

See Also:
  - Constant Field Values

### DOC_CAT_DIAGNOSTICS_AND_QC

public static final String DOC_CAT_DIAGNOSTICS_AND_QC

See Also:
  - Constant Field Values

### DOC_CAT_DIAGNOSTICS_AND_QC_SUMMARY

public static final String DOC_CAT_DIAGNOSTICS_AND_QC_SUMMARY

See Also:
  - Constant Field Values

### DOC_CAT_INTERVALS_MANIPULATION

public static final String DOC_CAT_INTERVALS_MANIPULATION

See Also:
  - Constant Field Values

### DOC_CAT_INTERVALS_MANIPULATION_SUMMARY

public static final String DOC_CAT_INTERVALS_MANIPULATION_SUMMARY

See Also:
  - Constant Field Values

### DOC_CAT_OTHER

public static final String DOC_CAT_OTHER

See Also:
  - Constant Field Values

### DOC_CAT_OTHER_SUMMARY

public static final String DOC_CAT_OTHER_SUMMARY

See Also:
  - Constant Field Values

### DOC_CAT_READ_DATA_MANIPULATION

public static final String DOC_CAT_READ_DATA_MANIPULATION

See Also:
  - Constant Field Values

### DOC_CAT_READ_DATA_MANIPULATION_SUMMARY

public static final String DOC_CAT_READ_DATA_MANIPULATION_SUMMARY

See Also:
  - Constant Field Values

### DOC_CAT_REFERENCE

public static final String DOC_CAT_REFERENCE

See Also:
  - Constant Field Values

### DOC_CAT_REFERENCE_SUMMARY

public static final String DOC_CAT_REFERENCE_SUMMARY

See Also:
  - Constant Field Values

### DOC_CAT_TEST

public static final String DOC_CAT_TEST

See Also:
  - Constant Field Values

### DOC_CAT_TEST_SUMMARY

public static final String DOC_CAT_TEST_SUMMARY

See Also:
  - Constant Field Values

### DOC_CAT_VARIANT_FILTERING

public static final String DOC_CAT_VARIANT_FILTERING

See Also:
  - Constant Field Values

### DOC_CAT_VARIANT_FILTERING_SUMMARY

public static final String DOC_CAT_VARIANT_FILTERING_SUMMARY

See Also:
  - Constant Field Values

### DOC_CAT_VARIANT_EVALUATION

public static final String DOC_CAT_VARIANT_EVALUATION

See Also:
  - Constant Field Values

### DOC_CAT_VARIANT_EVALUATION_SUMMARY

public static final String DOC_CAT_VARIANT_EVALUATION_SUMMARY

See Also:
  - Constant Field Values

### DOC_CAT_VARIANT_MANIPULATION

public static final String DOC_CAT_VARIANT_MANIPULATION

See Also:
  - Constant Field Values

### DOC_CAT_VARIANT_MANIPULATION_SUMMARY

public static final String DOC_CAT_VARIANT_MANIPULATION_SUMMARY

See Also:
  - Constant Field Values

### DOC_CAT_GENOTYPING_ARRAYS_MANIPULATION

public static final String DOC_CAT_GENOTYPING_ARRAYS_MANIPULATION

See Also:
  - Constant Field Values

### DOC_CAT_GENOTYPING_ARRAYS_MANIPULATION_SUMMARY

public static final String DOC_CAT_GENOTYPING_ARRAYS_MANIPULATION_SUMMARY

See Also:
  - Constant Field Values

### DOC_CAT_METRICS

public static final String DOC_CAT_METRICS

See Also:
  - Constant Field Values

### DOC_CAT_METRICS_SUMMARY

public static final String DOC_CAT_METRICS_SUMMARY

See Also:
  - Constant Field Values

### DOC_SUPERCAT_TOOLS

public static final String DOC_SUPERCAT_TOOLS
List of "supercategory" values used for doc purposes. Every doc group name can/should be put into one of the following supercategories.

See Also:
  - Constant Field Values

### DOC_SUPERCAT_UTILITIES

public static final String DOC_SUPERCAT_UTILITIES

See Also:
  - Constant Field Values

### DOC_SUPERCAT_EXCLUDE

public static final String DOC_SUPERCAT_EXCLUDE

See Also:
  - Constant Field Values

## Method Details

### getSuperCategoryMap

public static Map<String,String> getSuperCategoryMap()

### getSuperCategoryProperty

public static String getSuperCategoryProperty(String groupName)
Given a group name, return a supercategory string for use by the online doc system to determine which supercateogry the group is in. The strings returned by this method should match those used in the corresponding help template.

Parameters:
  `groupName` -
Returns:
  supercategory string corresponding to `groupName` for use in for use in determining which supercategory the group is in for online doc purposes.